import { EditorExtenders } from "./EditorExtenders.js";
;
;
;
export class FeatureBlend {
    static get editorExtenders() {
        this.ensureEditorExtenders();
        return this.m_editorExtenders;
    }
    static get errorTooltipSkin() {
        return this.m_errorTooltipSkin;
    }
    static set errorTooltipSkin(value) {
        this.m_errorTooltipSkin = value;
    }
    static get defaultPopUpSkin() {
        return this.m_defaultPopUpSkin;
    }
    static set defaultPopUpSkin(value) {
        this.m_defaultPopUpSkin = value;
    }
    static get onVariableEdit() {
        return this.m_onVariableEdit;
    }
    static set onVariableEdit(value) {
        this.m_onVariableEdit = value;
    }
    static addEditorType(id, type) {
        this.m_editorTypes[id] = type;
    }
    static getEditorType(id) {
        return this.m_editorTypes[id];
    }
    static removeEditorType(id) {
        delete this.m_editorTypes[id];
    }
    static ensureEditorExtenders() {
        if (this.m_editorExtenders == null) {
            this.m_editorExtenders = new EditorExtenders();
        }
    }
}
FeatureBlend.m_editorTypes = {};
FeatureBlend.m_errorTooltipSkin = "";
FeatureBlend.m_defaultPopUpSkin = "themed";
